﻿Imports MediaCy.Addins.DataCollector
Imports MediaCy.Addins.ThresholdTool.Gadgets
Imports MediaCy.Addins.Measurements.Gadgets
Imports MediaCy.Addins.Measurements
Public Module Fiberdiameter_Module1


        Public Function LoopOnHidden(doc1 As Object) As SimpleScript
        LoopOnHidden = New SimpleScript
        Dim image1
        Dim docList1 = New List(1), doc3, image2

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                Debug.Print "Batch image: " & doc1.Name
            End If
        End With


        With Measure.MeasurementsCommands.Options(LoopOnHidden)
            .ActiveClass = 1
            .Run(doc1)
        End With

        With Measure.Measurements.OptionsCommands.Open(LoopOnHidden)
            .FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Image-Pro\FD_Oprindelig.iqo"
            '.FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Oprindelig.iqo"
            .FilterIndex = 1
            .Run(doc1)
        End With

        With Measure.MeasurementsCommands.ExecuteCount(LoopOnHidden)
            .Run(doc1)
        End With

        'collect data
        With Measure.Data.CollectorCommands.Collect(LoopOnHidden)
            .Run(New List({doc1}))
        End With

        With Measure.Measurements.CreateCommands.Mask(LoopOnHidden)
            'create invisible image
            '.Visible=False
            .Run(doc1, image1)
        End With

        With Application.DocumentCommands.Open(LoopOnHidden)
            .Filenames = New String() {"C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Procesbilleder\FiveLines.bmp"}
'            .Filenames = New String() {ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FiveLines.bmp"}
            'open invisible image
            '.Visible=False
            .Run(docList1)
        End With

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                doc3=docList1(0)
            End If
        End With

        With Process.ProcessCommands.Operations(LoopOnHidden)
            .Operation = eOperation.AND
            .NumberValue = 0R
            .ResultType = eResultType.Apply
            .Run(doc3, image1, image2)
        End With

        With Measure.MeasurementsCommands.Options(LoopOnHidden)
            .ActiveClass = 1
            .Run(doc3)
        End With

        With Measure.Measurements.OptionsCommands.Open(LoopOnHidden)
            .FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Image-Pro\FD_Stumper.iqo"
            '.FileName = ThisApplication.Path(mcPathType.mcptConfigurationFiles) & "FD_Stumper.iqo"
            .FilterIndex = 1
            .Run(doc3)
        End With

        With Measure.MeasurementsCommands.ExecuteCount(LoopOnHidden)
            .Run(doc3)
        End With

        'collect data
        With Measure.Data.CollectorCommands.Collect(LoopOnHidden)
            .Run(New List({doc3}))
        End With

        With Automate.ScriptingCommands.CodeCommand(LoopOnHidden)
            If .Run() Then
                ' User Code Here
                ' close all images, avoid user prompt clearing Midified flag
                doc3.Data.Modified=False
                doc3.Data.Close
                doc1.Data.Modified=False
                doc1.Data.Close
                image1.Modified=False
                image1.Close
                ThisApplication.Documents.CloseAll
            End If
        End With
    End Function



	Public Function FD007() As SimpleScript
		FD007 = New SimpleScript
		Dim doc1, image1, doc2
		Dim docList1 = New List(1), doc3, image2, window1, window2, window3
        Dim myFile As String

        With Application.RibbonCommands.SelectRibbonTab(FD007)
            .TabName = "Measure"
            .Run()
        End With

        Measure.Data.CollectorCommands.Clear(FD007).Run()

        With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "CountSize"
			.Run()
		End With

        With Application.DocumentCommands.Active(FD007)
           .Run(doc1)
		End With

        With Automate.ScriptingCommands.CodeCommand(FD007)
            If .Run() Then
                ' User Code Here
                myFile =  doc1.Name
                'or with full file path
                'myFile=doc1.FileName
                'check it
                Debug.Print myFile
            End If
        End With

        'myFile = doc1.Name

		With Measure.MeasurementsCommands.Options(FD007)
			.ActiveClass = 1
			.Run(doc1)
		End With

		With Measure.Measurements.OptionsCommands.Open(FD007)
			.FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Image-Pro\FD_Oprindelig.iqo"
			.FilterIndex = 1
			.Run(doc1)
		End With

        With Measure.Measurements.Gadgets.DataTable(FD007)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Unchecked
            .Run()
        End With

        With Measure.MeasurementsCommands.ExecuteCount(FD007)
			.Run(doc1)
		End With

		With Measure.Measurements.TableCommands.SendToExcel(FD007)
			.UseStatistics = False
            '.Run(doc1)
		End With

		With Measure.Measurements.CreateCommands.Mask(FD007)
			.Run(doc1, image1)
		End With

		With Application.DocumentCommands.Activate(FD007)
           .Run(image1, doc2)
		End With

		With Application.DocumentCommands.Open(FD007)
			.Filenames = New String() {"C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Procesbilleder\FiveLines.bmp"}
			.Run(docList1)
		End With

		With Application.DocumentCommands.Activate(FD007)
           .Run(docList1(0), doc3)
		End With

		With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "Process"
			.Run()
		End With

		With Process.ProcessCommands.Operations(FD007)
			.Operation = eOperation.AND
			.NumberValue = 0R
			.ResultType = eResultType.Apply
			.Run(doc3, image1, image2)
		End With

		With Application.RibbonCommands.SelectRibbonTab(FD007)
			.TabName = "CountSize"
			.Run()
		End With

        With Measure.MeasurementsCommands.Options(FD007)
			.ActiveClass = 1
			.Run(doc3)
		End With

		With Measure.Measurements.OptionsCommands.Open(FD007)
			.FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Image-Pro\FD_Stumper.iqo"
			.FilterIndex = 1
			.Run(doc3)
		End With

        With Measure.Measurements.Gadgets.DataTable(FD007)
            .CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Unchecked
            .Run()
        End With

        With Measure.MeasurementsCommands.ExecuteCount(FD007)
			.Run(doc3)
		End With

        With Application.RibbonCommands.SelectRibbonTab(FD007)
            .TabName = "Measure"
            .Run()
        End With

        With Measure.Data.Collector.TableCommands.ActivateTab(FD007)
            .TabName = "Measurements"
            .Run()
        End With

        With Automate.ScriptingCommands.CodeCommand(FD007)
            If .Run() Then
                With Measure.Data.Collector.TableCommands.SaveAsText(FD007)
                    .FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Pyhton Code\Results\" & Left(myFile,Len(myFile)-4) & ".FDData"
                    .UseStatistics = False
                    .Run()
                End With
            End If
        End With

        With Measure.Measurements.TableCommands.SendToExcel(FD007)
			.UseStatistics = False
            '.Run(doc3)
		End With

		With Measure.MeasurementsCommands.DeleteAll(FD007)
			.Run(doc3)
        End With

        With Application.WindowCommands.CloseAll(FD007)
            .Run()
        End With


	End Function



	Public Function FDSteup001() As SimpleScript
		FDSteup001 = New SimpleScript

		With Application.RibbonCommands.SelectRibbonTab(FDSteup001)
			.TabName = "Measure"
			.Run()
		End With

		With Measure.Data.Collector.MeasurementsCommands.Open(FDSteup001)
            .FileName = "C:\Users\torbe\Dropbox\Torben Dokumenter\Mandrup Software\Kunder\RW\Ny SEM\Image-Pro\FD_Collector.adoxsd"
			.Run()
		End With

		With Measure.Data.CollectorCommands.AutoCollect(FDSteup001)
			.CheckState = MediaCy.IQL.Application.McCommand.mcCheckState.Checked
			.Run()
		End With

	End Function

End Module
